package tech.powerjob.work;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 主类
 *
 * @author tjq
 * @since 2020/4/17
 */
@EnableScheduling
@SpringBootApplication
@EnableTransactionManagement
@MapperScan("tech.powerjob.work.mapper")
public class ShipLockApplication {
    public static void main(String[] args) {
        SpringApplication.run(ShipLockApplication.class, args);
    }
}
